<?php $attributes ??= new \Illuminate\View\ComponentAttributeBag;

$__newAttributes = [];
$__propNames = \Illuminate\View\ComponentAttributeBag::extractPropNames((['name', 'label', 'checked' => false]));

foreach ($attributes->all() as $__key => $__value) {
    if (in_array($__key, $__propNames)) {
        $$__key = $$__key ?? $__value;
    } else {
        $__newAttributes[$__key] = $__value;
    }
}

$attributes = new \Illuminate\View\ComponentAttributeBag($__newAttributes);

unset($__propNames);
unset($__newAttributes);

foreach (array_filter((['name', 'label', 'checked' => false]), 'is_string', ARRAY_FILTER_USE_KEY) as $__key => $__value) {
    $$__key = $$__key ?? $__value;
}

$__defined_vars = get_defined_vars();

foreach ($attributes->all() as $__key => $__value) {
    if (array_key_exists($__key, $__defined_vars)) unset($$__key);
}

unset($__defined_vars, $__key, $__value); ?>

<label class="flex items-center gap-2 text-sm">
    <input type="hidden" name="<?php echo e($name); ?>" value="0">
    <input type="checkbox" name="<?php echo e($name); ?>" value="1" <?php if($checked): echo 'checked'; endif; ?> class="rounded border-slate-300">
    <?php echo e($label); ?>

</label>
<?php /**PATH /Users/dedehermawan/Dokumen/project/laundry/resources/views/components/master/toggle.blade.php ENDPATH**/ ?>